program DistoredShadow;

uses
  OMEGA in 'OMEGA.pas',
  u_game in 'u_game.pas',
  u_const in 'u_const.pas';

procedure Load;
begin
  Pr2D_Rect(0,0,sX,sY,0);
  Media_Play('Data/Sound/start.mp3',False);
end;

begin
  LoadOMEGA( 'Data\Engine\OMEGA.dll' );
  Timer_Create( @GameProcess, 10, 0 );
  Timer_Create( @GameSlovProcess, 64, 0 );
  OE_RegProcedure( SYS_LOAD, @Load );
  OE_RegProcedure( SYS_INIT, @GameInit );
  OE_RegProcedure( SYS_DRAW, @GameDraw );
  OE_RegProcedure( SYS_QUIT, @GameQuit );
  OE_ChangeScreenOptions(sX, sY, 32, 0, true, false );
  OE_ShowCursor( FALSE );
  OE_Init;

end.

